<?php
include 'header.php';
$ajax_url = base_url('Main/add_month_payment_hotel_ajax');
$ajax_urlUn = base_url('Main/add_month_unpayment_hotel_ajax');

if (isset($_GET['indate'])) {
  $date = $_GET['indate'];
  $year12 = date('Y', strtotime($date));
  $month12 = date('F', strtotime($date));
} else {
  $date = date('Y-m-d');
  $year12 = date('Y', strtotime($date));
  $month12 = date('F', strtotime($date));
}
?>
<style>
.table th, .table td {
    text-align: center;
    vertical-align: middle;
}
.modal-header {
    background-color: #343a40;
    color: #fff;
}
.modal-footer {
    background-color: #343a40;
}
.total-row td {
    font-weight: bold;
}
</style>

<div class="container pt-5">
  <form method="get">
    <div class="form-row align-items-end">
      <div class="form-group col-md-4">
        <label for="filterMonth"><strong>Date Range</strong></label>
        <input type="month" name="indate" class="form-control" id="filterMonth">
      </div>
      <div class="form-group col-md-2">
        <button type="submit" class="btn btn-primary" style="width: 100%;">Filter</button>
      </div>
    </div>
  </form>
</div>

<div class="container pt-5 detailed">
  <div class="table-responsive">
    <table class="table table-striped table-bordered">
      <thead style="background-color: cornflowerblue;">
        <tr>
          <th scope="col">Hotel Name</th>
          <th scope="col">Rides</th>
          <th scope="col">Commission</th>
          <th scope="col">Action</th>
        </tr>
      </thead>
      <tbody>
        <?php
        $CI = &get_instance();
        if (isset($_GET['hotel']) && $_GET['hotel'] != '--') {
          foreach ($hotel as $key) {
            if ($key->id == $_GET['hotel']) {
              $date = date('Y-m-d');
              $year = date('Y', strtotime($date));
              $month = date('F', strtotime($date));
              $where = array('hotel_id' => $key->id, 'month' => $month, 'year' => $year);
              $data1 = $CI->db->select('*')->where($where)->get('hotel_payment')->row();
              $color = empty($data1) ? "white" : "#56c7548f";
              ?>
              <tr style="background-color:<?php echo $color; ?>;">
                <td><?php echo $key->hotel_name; ?></td>
                <td><?php echo count($CI->db->select('rides_count')->where($where)->get('hotel_rides')->result()); ?></td>
                <td>
                  <?php
                  $data = $CI->db->query("select SUM(comision) AS Val_Sum from ride_booking where hotel_id=$key->id AND month='$month12' AND year='$year12'");
                  $row = $data->row_array();
                  echo '€' . (!empty($row['Val_Sum']) ? $row['Val_Sum'] : '0');
                  ?>
                </td>
                <td>
                  <?php if (empty($data1)) { ?>
                    <form method="POST" class="d-inline">
                      <input type="hidden" name="pay" value="1">
                      <input type="hidden" name="hotel_id" id="get_hotel_id" value="<?php echo $key->id ?>">
                      <button type="button" class="btn btn-primary" id="confirmPay">Pay</button>
                    </form>
                  <?php } else { ?>
                    <form method="POST" class="d-inline">
                      <input type="hidden" name="pay" value="1">
                      <input type="hidden" name="hotel_id" value="<?php echo $key->id ?>">
                      <button type='button' class="btn btn-danger" id="confirmPayUn">UnPay</button>
                    </form>
                  <?php } ?>
                </td>
              </tr>
              <?php
            }
          }
        } else {
          $done = array();
          foreach ($hotel as $key) {
            $where = array('hotel_id' => $key->id, 'month' => $month12, 'year' => $year12);
            $rows = count($CI->db->select('rides_count')->where($where)->get('hotel_rides')->result());
            $data1 = $CI->db->select('*')->where($where)->get('hotel_payment')->row();
            $done[$key->id] = array('rides' => $rows, "payment" => $data1, 'hotel_name' => $key->hotel_name);
            $comi = $CI->db->query("select SUM(comision) AS Val_Sum from ride_booking where hotel_id=$key->id AND month='$month12' AND year='$year12'");
            $row = $comi->row_array();
            $done[$key->id]['comision'] = !empty($row['Val_Sum']) ? $row['Val_Sum'] : 0;
          }
          arsort($done);
          foreach ($done as $key => $val) { ?>
            <?php
            $color = empty($val['payment']) ? "white" : "#56c7548f";
            ?>
            <tr style="background-color:<?php echo $color; ?>;">
              <td><?php echo $val['hotel_name']; ?></td>
              <td><?php echo $val['rides']; ?></td>
              <td>€<?php echo $val['comision']; ?></td>
              <td>
                <?php if (empty($val['payment'])) { ?>
                  <form method="POST" class="d-inline">
                    <input type="hidden" name="pay" value="1">
                    <?php if (isset($_GET['indate'])) { ?>
                      <input type="hidden" name="month" id="getMonth" value="<?php echo $_GET['indate']; ?>">
                    <?php } ?>
                    <input type="hidden" name="hotel_id" id="get_hotel_id" value="<?php echo $key ?>">
                    <button type="button" class="btn btn-primary" id="confirmPay">Pay</button>
                  </form>
                <?php } elseif (!empty($val['payment'])) { ?>
                  <form method="POST" class="d-inline">
                    <input type="hidden" name="pay" value="1">
                    <?php if (isset($_GET['indate'])) { ?>
                      <input type="hidden" name="month" id="getMonth_un" value="<?php echo $_GET['indate']; ?>">
                    <?php } ?>
                    <input type="hidden" name="hotel_id" id="get_hotel_id_un" value="<?php echo $key ?>">
                    <button type="button" class="btn btn-danger" id="confirmPayUn">UnPay</button>
                  </form>
                <?php } ?>
              </td>
            </tr>
            <?php
          }
        }
        ?>
      </tbody>
    </table>
  </div>
</div>

<!-- pay modal -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" data-backdrop="static" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h3 class="modal-title" id="myModalLabel">Confirmation Modal</h3>
        <button type="button" class="close" data-dismiss="modal" id="payHide" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      </div>
      <div class="modal-body">
        <h4>Are you sure?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" id="payHide">No</button>
        <button type="button" class="btn btn-primary" data-dismiss="modal" id="confirmPayment">Yes</button>
      </div>
    </div>
  </div>
</div>

<!-- unpay modal -->
<div class="modal fade" id="myModalUn" tabindex="-1" role="dialog" data-backdrop="static" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h3 class="modal-title" id="myModalLabel">Confirmation Modal</h3>
        <button type="button" class="close" id="unPayHide" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      </div>
      <div class="modal-body">
        <h4>Are you sure?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" id="unPayHide">No</button>
        <button type="button" class="btn btn-primary" data-dismiss="modal" id="confirmPaymentUn">Yes</button>
      </div>
    </div>
  </div>
</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
<script type="text/javascript">
  const monthControl = document.querySelector('input[type="month"]');
  const date = new Date();
  const month = ("0" + (date.getMonth() + 1)).slice(-2);
  const year = date.getFullYear();
  <?php if (isset($_GET['indate'])) { ?>
    monthControl.value = "<?= $_GET['indate'] ?>";
  <?php } else { ?>
    monthControl.value = /* CLEANED: `${year}-${month}` */;
  <?php } ?>
  
  $(document).on('click', '#confirmPay', function() {
    $(this).addClass('payNow');
    $("#myModal").modal('show');
  });
  
  $(document).on('click', '#payHide', function() {
    $(".payNow").removeClass('payNow');
  });
  
  $(document).on('click', '#confirmPayment', function() {
    let monthData = document.getElementById('filterMonth').value;
    var siteUrl = '<?= $ajax_url ?>';
    var hotel_id = $(".payNow").closest('td').find("#get_hotel_id").val();
    $.ajax({
      url: siteUrl,
      type: 'POST',
      data: {
        month: monthData,
        hotel_id: hotel_id
      },
      dataType: 'json',
      success: function(response) {
        $('.payNow').closest('tr').css('background-color', '#56c7548f');
        $(".payNow").closest('td').html(
          '<button type="button" id="confirmPayUn" class="btn btn-danger">Un Pay</button><input type="hidden" id="get_hotel_id_un" name="hotel_id" value="' +
          hotel_id + '">');
        $(".payNow").remove();
        $('#confirmPay').removeClass('payNow');
      },
      error: function(xhr, status, error) {
        $('#ajaxResponse').text('Error: ' + error);
        console.log(xhr.responseText);
      }
    });
  });
  
  $(document).on('click', '#confirmPayUn', function() {
    if ($(this).hasClass('unpayNow')) {
      $(this).removeClass('unpayNow');
    } else {
      $(this).addClass('unpayNow');
    }
    $("#myModalUn").modal('show');
  });
  
  $(document).on('click', '#unPayHide', function() {
    $(".unpayNow").removeClass('unpayNow');
  });
  
  $(document).on('click', '#confirmPaymentUn', function() {
    var siteUrl = '<?= $ajax_urlUn ?>';
    var monthGet = $('.unpayNow').closest('tr').find("#getMonth_un").val();
    var get_hotel_id = $('.unpayNow').closest('tr').find("#get_hotel_id_un").val();
    $.ajax({
      url: siteUrl,
      type: 'POST',
      data: {
        month: monthGet,
        hotel_id: get_hotel_id
      },
      dataType: 'json',
      success: function(response) {
        $('.unpayNow').closest('tr').css('background-color', '#fff');
        $(".unpayNow").closest('tr').find('td').eq($(this).closest('td').index()).html(
          '<button type="button" id="confirmPay" class="btn btn-primary">Pay</button><input type="hidden" id="get_hotel_id" name="hotel_id" value="' +
          get_hotel_id + '">'
        );
        $(".unpayNow").remove();
      },
      error: function(xhr, status, error) {
        $('#ajaxResponse').text('Error: ' + error);
      }
    });
  });
  
  $(document).ready(function() {
    $('.table tr td').each(function() {
      if ($(this).text().trim() === '0')
        $(this).parent().remove();
    });
    setTimeout(function() {
      $('.table tr td').each(function() {
        if ($(this).text().trim() === '0')
          $(this).parent().remove();
      });
    }, 2000);
  });
</script>
